## ArrayHelper
Вспомогательные методы для работы с массивами
<br>[Посмотреть как работает](http://be-in-info.ru/npm/ybashanov/yb-array-helper/)
<br>
<br>


### Зависимости
Нет
<br>
<br>
<br>



### Методы

<details>
  <summary>ArrayHelper.<b>get</b>(myArray, exampleObj, flags)</summary>
  <div>
  <b>Найти в массиве myArray 1 элемент по образцу: по объекту exampleObj = {ключ: значение},</b>
  <br>или по нескольким парам exampleObj = {ключ1: значение1, ключ2: значение2, ...}
  <br>
  <br>
  Если flags не указан, возвращает объект (первый объект, встретившийся в массиве, в котором есть такие же пары, как в образце)
  <br>
  Если указан флаг {getI: true}, возвращает только порядковый номер элемента
  <br>
  Если указан флаг {getI: "all"}, возвращает сложный объект {item, i} - в нем есть и искомый объект, и порядковый номер элемента
  <br>
  В случае отсутствия совпадений, вернет -1 или null (зависит от flags)
  <br>
  <br>
  </div>
</details>

<details>
  <summary>ArrayHelper.<b>getDeep</b>(myArray, exampleObj, flags)</summary>
  <div>
  <b>Найти в массиве myArray 1 элемент по куску объекта-образца exampleObj</b>
  <br>exampleObj может быть как простой объект: {ключ: значение}
  <br>так и вложенный объект: {ключ1: {ключ2: значение2}}
  <br>
  <br>
  Если flags не указан, возвращает объект (первый объект, встретившийся в массиве, в котором есть совпадения с образцом)
  <br>
  Если указан flags {getI: true}, возвращает только порядковый номер элемента
  <br>
  Если указан flags {getI: "all"}, возвращает сложный объект {item, i} - в нем есть и искомый объект, и порядковый номер элемента
  <br>
  В случае отсутствия совпадений, вернет -1 или null (зависит от flags)
  <br>
  <br>
  </div>
</details>

<details>
  <summary>ArrayHelper.<b>getChecked</b>(myArray)</summary>
  <div>
  Специфический поиск.
  <br>
  <b>Получить из массива myArray 1 объект с полем isChecked=true</b>
  <br>
  В случае отсутствия совпадений вернет пустой объект {}
  <br>
  <br>
  </div>
</details>

<br>
<br>


### Подключение и использование

- Импортируем
```javascript
import ArrayHelper from "yb-array-helper";
```


